---
title: "getIDSEventDetail"
slug: "security-securitymonitoring-getidseventdetail"
tags: ["Security Monitoring"]
updated: 2026-09-17T10:25:45Z
published: 2026-09-17T10:25:45Z
canonical: "api.ncloud-docs.com/security-securitymonitoring-getidseventdetail"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt
> Use this file to discover all available pages before exploring further.
# getIDSEventDetail
Available in Classic and VPC
Get details of a security event that occurred while using the IDS service.
## Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
| --- | --- |
| POST | /securitymonitoring/v1/getIDSEventDetail (Classic) |
| POST | /vsecuritymonitoring/v1/getIDSEventDetail (VPC) |
### Request headers
For information about the headers common to all Security Monitoring APIs, see [Security Monitoring request headers](/docs/en/security-securitymonitoring#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94).
### Request body
The following describes the request body.
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `ticketId` | String | Required | Unique number of the IDS security event to view - See [getIDSList](/docs/en/security-securitymonitoring-getidslist) |
### Request example
The following is a sample request.
```
curl --location --request POST 'https://securitymonitoring.apigw.ntruss.com/vsecuritymonitoring/v1/getIDSEventDetail' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
"ticketId": "526068433"
}'
```
## Response
The following describes the response format.
### Response body
The following describes the response body.
| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `returnCode` | Integer | - | Processing result code for the request |
| `lbName` | String | - | Name of the load balancer where the security event was detected |
| `returnMessage` | String | - | Processing result message for the request |
| `report` | String | - | Security event details |
| `lbDomainName` | String | - | DNS name of the load balancer where the security event was detected |
| `lbInstanceNo` | String | - | Instance number of the load balancer where the security event was detected |
### Response status codes
For information about the HTTP status codes common to all Security Monitoring APIs, see [Security Monitoring response status codes](/docs/en/security-securitymonitoring#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C).
### Response example
The following is a sample example.
```
{
"returnCode": 0,
"lbName": "YOUR_LOAD_BALANCER",
"returnMessage": "SUCCESS",
"report": "◆ Attack type description
Brute-force is an attack where word combinations from a dictionary or every value that can be inputted are entered to acquire account information.
If a brute-force attack is successful, the attacker may take over the system and it may lead to secondary damage such as information leakage and malicious code infection.◆ Requests
Configure so that only trusted IPs can have access.
Block access for a certain period of time in case of 5 or more failed login attempts.
Use a password that is 8 characters or longer, and a combination of English letters, numbers, and special characters.
Change the default server access port.",
"lbDomainName": "***.com",
"lbInstanceNo": "********"
}
```